//
//  ViewController.m
//  NewPieChartFeatures
//
//  Created by Darrell Kress on 3/4/14.
//  Copyright (c) 2014 Darrell Kress. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
{
    IGPieChartView* _pie;
    IGPieChartViewDataSourceHelper* _helper;
}
@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    // make a pie chart
    _pie = [[IGPieChartView alloc]initWithFrame:CGRectMake(0, 0, self.view.bounds.size.width, self.view.bounds.size.height)];
    _pie.autoresizingMask = UIViewAutoresizingFlexibleHeight|UIViewAutoresizingFlexibleWidth;
 
    // make some data
    NSMutableArray* data = [[NSMutableArray alloc]init];
    [data addObject:[NSNumber numberWithInt:5]];
    [data addObject:[NSNumber numberWithInt:2]];
    [data addObject:[NSNumber numberWithInt:7]];
    [data addObject:[NSNumber numberWithInt:5]];
    
    _helper = [[IGPieChartViewDataSourceHelper alloc]initWithValues:data];
    
    _pie.dataSource = _helper;

    _pie.delegate = self;
    _pie.radiusFactor =0.5;
    
    // New feature # 1 : Slice explosion, extended radius.
    // When doing a slice explosion, the default is to move the slice out from the center of the pie chart.  Instead we can have the chart extend the radius of the "exploded" slice.
   // _pie.allowSliceExplosion = YES;
   // _pie.explodedDisplayStyle = IGPieSliceExplodedDisplayStyleExtendRadius;
    
    [self.view addSubview:_pie];
}
    
  -(void)pieChartView:(IGPieChartView *)pieChartView tapWithItem:(IGPieSliceInfo *)item atPoint:(CGPoint)point
    {
        // New feature # 1 : Slice explosion, extended radius.
       // item.isExploded = !item.isExploded;
    
        
        // this will spin the pie chart to bring the selected slice to angle zero, which is a the right most point
        [pieChartView rotateSliceWithIndex:item.index toAngle:0 duration:0.25 alignment:IGPieChartSliceAlignmentMiddle];
        
  
    }
    
- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
